Inconsistent behaviour when deleting nodes with vertex tool (all layers)
2018-11-15 12:28 PM - Bernhard Strobl

Status: Open

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:3.5(master) Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corruptsdata: Copied to github as #: 28323
Description

scenario two layers with identical polygons, both in editing mode, vertex tool (all layers) enabled
1. select node with mouse window, then delete => identical node in both layers is deleted; expected behaviour
2. press shit + R and click on identical node, then delete => node is only deleted in active layer; not expected behaviour
3. open vertex editor panel and select identical node there, then delete => node is only deleted in active layer; not expected behaviour

History

#1 - 2018-11-16 09:40 AM - Burghardt Scholle

| can confirm the errors that you describe with QGIS DEV code revision 7cce9b3eb9. If | undo the the delete, it only affects the activated layer. After that |
have to undo the process even in the non-activated layer.

#2 - 2019-02-20 03:41 PM - Bernhard Strobl
- Affected QGIS version changed from 3.4.1 to 3.5(master)

Ok, after discussion with Martin here | do understand that all layers means | can interact with all layers. My impression of current layer versus all layers
was, that this decides on which layers | change features by e.g. deleting common vertices.
The scenario therefore needs the following update:
Both layers with identical polygon and in editing mode, topological editing enabled
1. Lock feature and select the node in question with mouse, then delete => identical node in both layers is deleted (expected behaviour)

2. Lock feature and select node in node panel, then delete => only node in current layer is deleted (unexpected behaviour)
https://github.com/qgis/QGIS/pull/9087

